Name: H5Pset_sizes
Signature:
  herr_t `H5Pset_sizes`(hid_t `plist`, size_t `sizeof_addr`, size_t `sizeof_size` )
Purpose:
  Sets the byte size of the offsets and lengths used to address objects in an HDF5 file.
Description:
  `H5Pset_sizes` sets the byte size of the offsets and lengths used to address objects in an HDF5 file. This function is only valid for file creation property lists. Passing in a value of 0 for one of the `sizeof_...` parameters retains the current value. The default value for both values is the same as `sizeof(hsize_t)` in the library (normally 8 bytes). Valid values currently are 2, 4, 8 and 16.
Parameters:

hid_t `plist` | IN: Identifier of property list to modify.
size_t `sizeof_addr` | IN: Size of an object offset in bytes.
size_t `sizeof_size` | IN: Size of an object length in bytes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_sizes_f

      SUBROUTINE h5pset_sizes_f (prp_id, sizeof_addr, sizeof_size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id       ! Property list identifier
        INTEGER(SIZE_T), INTENT(IN) :: sizeof_addr ! Size of an object offset
                                                   ! in bytes
        INTEGER(SIZE_T), INTENT(IN) :: sizeof_size ! Size of an object length
                                                   ! in bytes
        INTEGER, INTENT(OUT) :: hdferr             ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_sizes_f